Eclipse Platform Release 3.7

## org.eclipse.ui.intro.config
Class IntroURLFactory

    java.lang.Object
      org.eclipse.ui.intro.config.IntroURLFactory

    public final class IntroURLFactory

extends Object

Factory class used to create instances of an Intro URL. Instances of intro URLs need to be created if you need to programatically construct and execute a valid Intro URL.

This class provides all its functionality via static members. It is not intended to be instantiated.

Since:
  3.0
See Also:
  `IIntroURL`

Method Summary
`static IIntroURL` `createIntroURL(String url)` Parses the given string, and returns an IntroURL if the string is a valid Intro URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createIntroURL

    public static IIntroURL createIntroURL(String url)

  Parses the given string, and returns an IntroURL if the string is a valid Intro URL. Returns null in all other cases. Example usage:

       StringBuffer url = new StringBuffer();
       url.append("http://org.eclipse.ui.intro/showStandby?");
       url.append("pluginId=org.eclipse.pde.ui");
       url.append("&");
       url.append("partId=org.eclipse.pde.ui.sampleStandbyPart");
       url.append("&");
       url.append("input=");
       url.append(sampleId);
       IIntroURL introURL = IntroURLFactory.createIntroURL(url.toString());
       if (introURL != null) {
           introURL.execute();
       }

  Parameters:
    `url` - the url to construct an IntroURL from
  Returns:
    an IntroURL, or `null` if the url is invalid

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.